#ifndef LED_APP_H
#define LED_APP_H
#include "common_types.h"



#define BACKGROUND_LIGHT_PWM_ID   PWM_BASE_ID_GPTM1
#define BACKGROUND_LIGHT_PWM_CH   3

#define PICK_BACKGROUND_LIGHT_PWM_ID   PWM_BASE_ID_GPTM1
#define L_PICK_BACKGROUND_LIGHT_PWM_CH   2
#define R_PICK_BACKGROUND_LIGHT_PWM_CH   1


#define L_PICK_HIGH_LIGHT_PWM_ID PWM_BASE_ID_ATM
#define L_PICK_LOW_LIGHT_PWM_ID  PWM_BASE_ID_ATM
#define R_PICK_HIGH_LIGHT_PWM_ID PWM_BASE_ID_ATM
#define R_PICK_LOW_LIGHT_PWM_ID  PWM_BASE_ID_ATM


#define L_PICK_HIGH_LIGHT_PWM_CH 2
#define L_PICK_LOW_LIGHT_PWM_CH  1

#define R_PICK_HIGH_LIGHT_PWM_CH 3
#define R_PICK_LOW_LIGHT_PWM_CH  4

void led_app_task(void);
uint8_t is_led_app_allow_sleep(void);
void led_app_init(void);
void Led_EnterSleepMode(void);
#endif